Gda.DataModelArray – Gda-6.0 Reference Manual

# DataModelArray

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_model_array_get_type ()" ) ]
public class DataModelArray : Object, DataModel
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public uint n_columns { get; set; }
- public bool read_only { get; set; }

### Static methods:

- public static DataModel @new (int cols)
- public static DataModel new_with_g_types_v (int cols, Type[] types)

### Creation methods:

- protected DataModelArray ()

### Methods:

- public void clear ()
- public unowned Row get_row (int row) throws Error
- public void set_n_columns (int cols)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DataModel

- access_changed
- add_data_from_xml_node
- append_row
- append_values
- array_copy_model
- array_copy_model_ext
- changed
- create_iter
- describe_column
- dump
- dump_as_string
- error_quark
- export_to_file
- export_to_string
- freeze

- get_access_flags
- get_attributes_at
- get_column_index
- get_column_name
- get_column_title
- get_exceptions
- get_n_columns
- get_n_rows
- get_notify
- get_row_from_values
- get_typed_value_at
- get_value_at
- import_from_file
- import_from_model
- import_from_string

- iter_move_next_default
- iter_move_prev_default
- iter_move_to_row_default
- remove_row
- reset
- row_inserted
- row_removed
- row_updated
- send_hint
- set_column_name
- set_column_title
- set_value_at
- set_values
- thaw